Tag Parser: TagParser::OggParameter Struct Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::OggParameter Struct Reference

The OggParameter struct holds the Ogg parameter for a VorbisComment. More...

`#include <oggcontainer.h>`

## Public Member Functions
constexpr | OggParameter ()
| Creates new parameters.
void | set (std::size_t pageIndex, std::size_t segmentIndex, bool lastMetaDataBlock, GeneralMediaFormat streamFormat=GeneralMediaFormat::Vorbis)
| Sets the firstPageIndex/lastPageIndex, the firstSegmentIndex/lastSegmentIndex, whether the associated meta data block is the last one and the streamFormat.

## Public Attributes
std::size_t | firstPageIndex
std::size_t | firstSegmentIndex
std::size_t | lastPageIndex
std::size_t | lastSegmentIndex
GeneralMediaFormat | streamFormat
bool | lastMetaDataBlock
bool | removed

## Detailed Description

The OggParameter struct holds the Ogg parameter for a VorbisComment.

Definition at line 29 of file oggcontainer.h.

## Constructor & Destructor Documentation

## ◆ OggParameter()

TagParser::OggParameter::OggParameter | ( |  | ) |
| constexpr

Creates new parameters.

Remarks
  The OggContainer class is responsible for assigning sane values.

Definition at line 46 of file oggcontainer.h.

## Member Function Documentation

## ◆ set()

void TagParser::OggParameter::set | ( | std::size_t | pageIndex,
|  | std::size_t | segmentIndex,
|  | bool | lastMetaDataBlock,
|  | GeneralMediaFormat | streamFormat = GeneralMediaFormat::Vorbis )
| inline

Sets the firstPageIndex/lastPageIndex, the firstSegmentIndex/lastSegmentIndex, whether the associated meta data block is the last one and the streamFormat.

Remarks
  Whether the associated meta data block is the last one is only relevant for FLAC streams.

Definition at line 61 of file oggcontainer.h.

## Member Data Documentation

## ◆ firstPageIndex

std::size_t TagParser::OggParameter::firstPageIndex

Definition at line 33 of file oggcontainer.h.

## ◆ firstSegmentIndex

std::size_t TagParser::OggParameter::firstSegmentIndex

Definition at line 34 of file oggcontainer.h.

## ◆ lastMetaDataBlock

bool TagParser::OggParameter::lastMetaDataBlock

Definition at line 38 of file oggcontainer.h.

## ◆ lastPageIndex

std::size_t TagParser::OggParameter::lastPageIndex

Definition at line 35 of file oggcontainer.h.

## ◆ lastSegmentIndex

std::size_t TagParser::OggParameter::lastSegmentIndex

Definition at line 36 of file oggcontainer.h.

## ◆ removed

bool TagParser::OggParameter::removed

Definition at line 39 of file oggcontainer.h.

## ◆ streamFormat

GeneralMediaFormat TagParser::OggParameter::streamFormat

Definition at line 37 of file oggcontainer.h.

The documentation for this struct was generated from the following file:

- ogg/oggcontainer.h